﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace GridFormatDateTimeColumn
{
    public partial class Form1 : Form
    {
        private RadGridView grid = new RadGridView();

        public Form1()
        {
            InitializeComponent();

            this.Controls.Add(this.grid);
            this.grid.Dock = DockStyle.Fill;
            this.grid.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;

            GridViewDateTimeColumn col = new GridViewDateTimeColumn();
            col.Format = DateTimePickerFormat.Short;
            col.FormatString = "{0:MM/dd//yyyy}";

            this.grid.Columns.Add(col);

            for (int i = 0; i < 15; i++)
            {
                this.grid.Rows.Add(DateTime.Now.AddDays(i));
            }

        }
    }
}
